<app-navbar></app-navbar>

<div class="container-fluid">
    <div class="row">
        <div>
            <h2 style="margin: 20px 0px 0px 30px;">Reuniones</h2>
            <hr>
        </div>
        <div class="col-12 d-flex justify-content-end" *ngIf="roleUsuario != 'usuario'">
            <button class="btn btn-primary " [routerLink]="['/crearReunion']">Nueva Reunión</button>
        </div>
        <div class="table-responsive mt-4 d-flex justify-content-center align-items-center mx-auto">
            <table class="table  table-hover align-middle" style="border-radius: 40px;">
                <thead>
                    <tr>
                        <th></th>
                        <th>Reunión</th>
                        <th>Integrantes</th>
                        <th *ngIf="roleUsuario != 'usuario'"></th>
                    </tr>
                </thead>
                <tbody>
                    <ng-container *ngFor="let reunion of reuniones; let i = index">
                        <tr *ngIf="reunion.statusReunion!='Baja'">
                            <td (click)="entrarReunion(reunion.idReunion)">
                                <button class="btn btn-primary" (click)="entrarReunion(reunion.idReunion)"
                                    *ngIf="reunion.statusReunion=='Activa'">Ir a la
                                    reunión </button>
                                <button class="btn btn-success" (click)="entrarReunion(reunion.idReunion)"
                                    *ngIf="reunion.statusReunion=='Iniciada'">Iniciada... </button>
                            </td>
                            <td class="cursor" (click)="entrarReunion(reunion.idReunion)">{{reunion.nombreReunion}}</td>
                            <td (click)="entrarReunion(reunion.idReunion)">
                                <div class="d-flex flex-wrap">
                                    <div *ngFor="let participante of reuniones[i].nombresParticipantes; let k = index">
                                        <img [src]="'http://localhost:8080/imgs/usuarios/' + reuniones[i].imagenesUsuarios[k]"
                                            class="pfp d-none d-xl-block d-xxl-block" data-toggle="tooltip"
                                            data-placement="top"
                                            title="{{participante}} {{reuniones[i].apellidosParticipantes[k]}}">
                                    </div>
                                </div>
                            </td>
                            <td *ngIf="roleUsuario != 'usuario'"><button class="settings"><img
                                        src="../../../../assets/img/Settings.png" width="30" height="30"
                                        (click)="editarReunion(reunion.idReunion)"></button></td>
                        </tr>
                    </ng-container>
                </tbody>
            </table>
        </div>
    </div>
</div>